org.apache.hadoop.metrics2.annotation

## Annotation Type Metrics

-     @InterfaceAudience.Public
       @InterfaceStability.Evolving
       @Documented
       @Target(value=TYPE)
       @Retention(value=RUNTIME)
      public @interface Metrics

  Annotation interface for a group of metrics

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `String` | `context`

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String` | `about`
    `String` | `name`

- - ### Element Detail

    - #### context

          public abstract String context

      Returns:
        the context name for a group of metrics

  - - #### name

          public abstract String name

      Returns:
        the (record) name of the metrics
      Default:
        ""

  - - #### about

          public abstract String about

      Returns:
        the optional description of metrics
      Default:
        ""

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.